# Priority Point Assignments

Priority Point Assignments

## Creates a new priority point assignment record that does not already exist.

 - [POST /priorityPointAssignments/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/priority-point-assignments/createprioritypointassignment.md): This method will auto-generate an ID and create a new priority point assignment. If an ID is specified for the priority point assignment, an error will be thrown.

## Recaculate Priority Point Accumulation

 - [POST /priorityPointAssignments/{tenantId}/accumulation/recalculate](https://docs.api.rhythmsoftware.com/apis/events/events-v1/priority-point-assignments/recalculateaccumulationrules.md): Returns a list of records with the specified organization_id

## Tests Accumulation Rules

 - [POST /priorityPointAssignments/{tenantId}/accumulation/test/{organization_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/priority-point-assignments/testaccumulationrules.md): Returns a list of records with the specified organization_id

## Execute Batch Operations

 - [POST /priorityPointAssignments/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/priority-point-assignments/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations

## Returns a list of records with the specified organization_id

 - [GET /priorityPointAssignments/{tenantId}/organization/{organization_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/priority-point-assignments/listassignmentsbyorganizationid.md): Returns a list of records with the specified organization_id

## Returns a priority point assignment from the system by its ID.

 - [DELETE /priorityPointAssignments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/priority-point-assignments/deleteprioritypointassignment.md): This method will delete a priority point assignment with the specified ID.

## Returns a priority point assignment from the system by its ID.

 - [GET /priorityPointAssignments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/priority-point-assignments/getprioritypointassignment.md): This method will look up a priority point assignment by the specified ID and return it back.

## Partially updates a priority point assignment with the specified ID.

 - [PATCH /priorityPointAssignments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/priority-point-assignments/patchprioritypointassignment.md): This method will patch an existing priority point assignment with the specified ID, using the HTTP PATCH specification.

## Updates a priority point assignment with the specified ID.

 - [PUT /priorityPointAssignments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/priority-point-assignments/updateprioritypointassignment.md): This method will update an existing priority point assignment with the specified ID.

